function drawColormap(handles)
set(handles.pushbutton8, 'Enable', 'off');
set(handles.popupmenu7, 'Enable', 'off');
max_x = 250;
max_y = double(uint16(sqrt(3)*125));

x_samples = (max_x * 2)/4 + 1;
y_samples = (max_y * 2)/4 + 1;

throughput_Matrix = zeros(y_samples, x_samples);

attachedTo = get(handles.popupmenu7, 'Value');
waitbarMsg = 'Simulating... It will take a lot of time.';

%axis equal;
hold on;

if attachedTo <= 1
    return;
elseif attachedTo == 2
    deplID = attachedTo - 1;
    waitbar_h = waitbar(0, waitbarMsg);
    for i = 1:y_samples
        waitbar(i / y_samples);
        for j = 1:x_samples
            coordX = (j - 1) * ((max_x * 2.0) / x_samples);
            coordY = (i - 1) * ((max_y * 2.0) / y_samples);
            throughput_Matrix(i, j) = CapacityMacro_C(coordX, coordY, deplID, handles);
        end
    end
    close(waitbar_h);
else
    deplID = attachedTo - 2;
    waitbar_h = waitbar(0, waitbarMsg);
    for i = 1:y_samples
        waitbar(i / y_samples);
        for j = 1:x_samples
            coordX = (j - 1) * ((max_x * 2.0) / x_samples);
            coordY = (i - 1) * ((max_y * 2.0) / y_samples);
            throughput_Matrix(i, j) = CapacityFemto_C(coordX, coordY, deplID, handles);
        end
    end
    close(waitbar_h);
end

hold on;
contourLevels = 1000;
%drawCell();

set(gcf, 'Renderer', 'OpenGL');
%throughput_Matrix_log = log10(throughput_Matrix)
[c, h] = contourf([0:4:(max_x*2)], [0:4:(max_y*2)], throughput_Matrix, contourLevels);
%  set(gcf, 'Renderer', 'OpenGL');
alphable = findobj(h, '-property', 'FaceAlpha');
set(h, 'EdgeColor', 'None');
set(alphable, 'FaceAlpha', 0.3);
set(handles.text15, 'String','Click map, for details of the additional users.');
set(handles.text15, 'Visible', 'on');
axis tight;
while 1
    while 1
        k = waitforbuttonpress;
        if k == 0
            break;
        end
    end
    hold on;
    [x_real, y_real] = mouse_clicked(handles);
    if inMacrocellRange(x_real, y_real) == 1
        x_new = incrValueX(x_real, max_x);
        y_new = incrValueY(y_real, max_y);
        if (get(handles.popupmenu7, 'Value') == 1)
            type = 2;
        else
            type = 1;
        end
        setObjDetails(x_new, y_new, type, handles);
    end
end
%colorbar;
